using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Music.Model;

namespace Music.StubRepository
{
    public class AlbumRepository : IAlbumRepository
    {
        #region IAlbumRepository Members

        public IEnumerable<Album> FindAll()
        {
            return new DataContext().Albums;
        }

        public Album FindBy(int id)
        {
            return new DataContext().Albums.FirstOrDefault(album => album.Id == id);
        }

        #endregion
    }
}
